layers:
- class_name: Conv2D
  config:
    filters: 16
    kernel_size: 8
    padding: valid
    strides: 4
    activation: relu
- class_name: Conv2D
  config:
    filters: 32
    kernel_size: 4
    padding: valid
    strides: 2
    activation: relu
- class_name: Conv2D
  config:
    filters: 32
    kernel_size: 3
    padding: valid
    strides: 1
    activation: relu
- class_name: Flatten
  config:
    dtype: float32